Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jepexamples.diagnostics
Class SpeedTest.RatioOutputter

    java.lang.Object
      com.singularsys.jepexamples.diagnostics.SpeedTest.Outputter
          com.singularsys.jepexamples.diagnostics.SpeedTest.RatioOutputter

Enclosing class:
  SpeedTest

    public static class SpeedTest.RatioOutputter

extends SpeedTest.Outputter

Print detailed ratios for each run.

Constructor Summary
`SpeedTest.RatioOutputter()`

Method Summary
`void` | `printFooter(SpeedTest st, long[] totalTimes)`
`void` | `printOutput(SpeedTest st, java.lang.String[] eqns, java.lang.String[] varNames, long[] times)`
`void` | `printOutput(SpeedTest st, java.lang.String eqn, java.lang.String[] varNames, long[] times)`

Methods inherited from class com.singularsys.jepexamples.diagnostics.SpeedTest.Outputter
`printHeader, printRatios`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpeedTest.RatioOutputter

    public SpeedTest.RatioOutputter()

Method Detail

### printOutput

    public void printOutput(SpeedTest st,
                            java.lang.String eqn,
                            java.lang.String[] varNames,
                            long[] times)

  Overrides:
    `printOutput` in class `SpeedTest.Outputter`

### printOutput

    public void printOutput(SpeedTest st,
                            java.lang.String[] eqns,
                            java.lang.String[] varNames,
                            long[] times)

  Overrides:
    `printOutput` in class `SpeedTest.Outputter`

### printFooter

    public void printFooter(SpeedTest st,
                            long[] totalTimes)

  Overrides:
    `printFooter` in class `SpeedTest.Outputter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep